
// maximum step size to take
float maxStep = 10;
// the probability % to turn
float probTurn = 5;

// drawing agents
Agent[] a = new Agent[100];

void setup() {
  size(300, 300);
  background(255);
  // create agent
  for (int i = 0; i < a.length; i++) {
    a[i] = new Agent();
  }
}

void draw() {

  // update the agent
  for (int i = 0; i < a.length; i++) {
    a[i].update();
    // create a new agent if this one died
    if (a[i].dead) {
      a[i] = new Agent();
    }
  }

  // interactively adjust parameters
  maxStep = map(mouseX, 0, width - 1, 1, 30);
  probTurn = map(mouseY, 0, height - 1, 3, 50);
}

void keyPressed() {
  background(255);
}